RagTime5StyleManagerInternal::ColorFieldParser Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
RagTime5StyleManagerInternal::ColorFieldParser Struct Referencefinal

Internal: the helper to read field color field for a RagTime5StyleManager. More...

Inheritance diagram for RagTime5StyleManagerInternal::ColorFieldParser:

## Public Member Functions
| ColorFieldParser ()
| constructor
| ~ColorFieldParser () final
| destructor
std::string | getZoneName (int n) const final
| return the debug name corresponding to a field
bool | parseField (RagTime5StructManager::Field &field, RagTime5Zone &, int n, libmwaw::DebugStream &f) final
| parse a field
Public Member Functions inherited from RagTime5StructManager::FieldParser
| FieldParser (std::string const &zoneName)
| constructor
virtual | ~FieldParser ()
| destructor
virtual std::string | getZoneName () const
| return the debug name corresponding to a zone
virtual std::string | getZoneName (int n) const
| return the debug name corresponding to a field
virtual bool | parseHeaderField (Field &field, RagTime5Zone &, int, libmwaw::DebugStream &f)
| parse a header field
virtual bool | parseField (Field &field, RagTime5Zone &, int, libmwaw::DebugStream &f)
| parse a field

## Public Attributes
std::vector< MWAWColor > | m_colorsList
| the list of color
Public Attributes inherited from RagTime5StructManager::FieldParser
bool | m_regroupFields
| a flag use to decide if we output one debug message by field or not

## Additional Inherited Members
Protected Attributes inherited from RagTime5StructManager::FieldParser
std::string | m_name
| the field name

## Detailed Description

Internal: the helper to read field color field for a RagTime5StyleManager.

## Constructor & Destructor Documentation

## ◆ ColorFieldParser()

RagTime5StyleManagerInternal::ColorFieldParser::ColorFieldParser | ( |  | ) |
| inline

constructor

## ◆ ~ColorFieldParser()

RagTime5StyleManagerInternal::ColorFieldParser::~ColorFieldParser | ( |  | ) |
| final

destructor

## Member Function Documentation

## ◆ getZoneName()

std::string RagTime5StyleManagerInternal::ColorFieldParser::getZoneName | ( | int | n | ) | const
| inlinefinalvirtual

return the debug name corresponding to a field

Reimplemented from RagTime5StructManager::FieldParser.

## ◆ parseField()

bool RagTime5StyleManagerInternal::ColorFieldParser::parseField | ( | RagTime5StructManager::Field & | field,
|  | RagTime5Zone & | ,
|  | int | n,
|  | libmwaw::DebugStream & | f
| ) |  |
| inlinefinalvirtual

parse a field

Reimplemented from RagTime5StructManager::FieldParser.

## Member Data Documentation

## ◆ m_colorsList

std::vector<MWAWColor> RagTime5StyleManagerInternal::ColorFieldParser::m_colorsList

the list of color

Referenced by parseField(), and RagTime5StyleManager::readGraphicColors().

The documentation for this struct was generated from the following file:

- RagTime5StyleManager.cxx